\documentclass{standalone}
\usepackage{tikz}
\usetikzlibrary[patterns]
\begin{document}
\begin{tikzpicture}
  % E
  \filldraw[fill=gray!30] (0,0) rectangle (2,2);
  % B
  \draw[pattern=horizontal lines] (1.3,0) -- (1.3,2) -- (0,2) -- (0,0) -- cycle;
\end{tikzpicture}
\end{document}
